<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: gg::Margins Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="structgg_1_1Margins.html">Margins</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structgg_1_1Margins-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">gg::Margins Struct Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="Box_8hpp_source.html">Box.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a1d17aff026c10a90fd73ac3f00368525"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgg_1_1Margins.html#a1d17aff026c10a90fd73ac3f00368525">top</a> = 0</td></tr>
<tr class="separator:a1d17aff026c10a90fd73ac3f00368525"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb43597fa9295443c852718bba306c29"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgg_1_1Margins.html#acb43597fa9295443c852718bba306c29">bottom</a> = 0</td></tr>
<tr class="separator:acb43597fa9295443c852718bba306c29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba7be3f6df203634dbf071c8617d21f1"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgg_1_1Margins.html#aba7be3f6df203634dbf071c8617d21f1">left</a> = 0</td></tr>
<tr class="separator:aba7be3f6df203634dbf071c8617d21f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad18ea5ad98fd78b0accc8a1a358701ca"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgg_1_1Margins.html#ad18ea5ad98fd78b0accc8a1a358701ca">right</a> = 0</td></tr>
<tr class="separator:ad18ea5ad98fd78b0accc8a1a358701ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="acb43597fa9295443c852718bba306c29" name="acb43597fa9295443c852718bba306c29"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb43597fa9295443c852718bba306c29">&#9670;&nbsp;</a></span>bottom</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int gg::Margins::bottom = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aba7be3f6df203634dbf071c8617d21f1" name="aba7be3f6df203634dbf071c8617d21f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba7be3f6df203634dbf071c8617d21f1">&#9670;&nbsp;</a></span>left</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int gg::Margins::left = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad18ea5ad98fd78b0accc8a1a358701ca" name="ad18ea5ad98fd78b0accc8a1a358701ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad18ea5ad98fd78b0accc8a1a358701ca">&#9670;&nbsp;</a></span>right</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int gg::Margins::right = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1d17aff026c10a90fd73ac3f00368525" name="a1d17aff026c10a90fd73ac3f00368525"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d17aff026c10a90fd73ac3f00368525">&#9670;&nbsp;</a></span>top</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int gg::Margins::top = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>include/gui/<a class="el" href="Box_8hpp_source.html">Box.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
